from setuptools import setup, find_packages

setup(
    name="fastapi2postman",
    version="0.1.0",
    description="FastAPI APIs to Postman collections",
    author="Ashhad Ahsan Rehman",
    license="MIT",
    author_email="ashhadahsan@gmail.com",
    url="https://github.com/ashhadahsan/fastapi2postman",
    packages=find_packages(),
    platforms=["OS Independent"],
    install_requires=[
        "click>=8.0.0",
        "requests>=2.26.0",
        "fastapi>=0.68.1",
        "uvicorn>=0.15.0",
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "License :: OSI Approved :: MIT License",
        "Development Status :: 5 - Production/Stable",
        "Environment :: Console",
        "Environment :: Web Environment",
        "Framework :: FastAPI",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "Intended Audience :: System Administrators",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
        "Topic :: Internet :: WWW/HTTP :: Site Management",
        "Topic :: Software Development :: Testing",
        "Topic :: Utilities",
    ],
    py_modules=["fastapi2postman"],
    entry_points={"console_scripts": ["fastapi2postman = fastapi2postman:main"]},
)
